body:has(.events-list-section) {
    overflow-x: clip;
}

.events-list-section{
    display: grid;
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    padding: 140px 100px;
    column-gap: 16px;
    row-gap: 80px;
    position: relative;
    align-items: stretch;
    grid-template-columns: repeat(12, 1fr);
    background-image: url('https://storage.googleapis.com/dev_resources_voka_io_303011/common/events-sticky-section.webp'), linear-gradient(180deg, #010C25 56.28%, #032576 100%);
    background-position-x: center;
    background-position-y: top;
    background-size: contain;
    background-repeat: no-repeat;
}

.events-list-section.perfect-for{
    background: linear-gradient(180deg, #032576 0%, #010C25 43.72%);
    column-gap: 0;
}

.events-list-section .events-list-title-block{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: start;
    grid-column: span 4;
    padding-inline-end: 100px;
    position: sticky;
    align-self: start;
    top: 140px;
}

.events-list-section .events-list-title-block .main-h2{
    color: var(--n-white);
}

.events-list-section .events-list-title-block .subtitle-semibold{
    color: var(--d-grey);
}

.events-list-section .events-list-title-block *{
    text-align: start;
}

.events-list-section .events-list-container{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: stretch;
    grid-column: 5 / -1;
}

.events-list-section .events-list-items{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 20px;
}

.events-list-section .events-list-item,
.events-list-section .events-list-item:visited{
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 80px;
    padding: 12px;
    height: auto;
    border-radius: 20px;
    width: 100%;
    transition: 0.3s;
    border: 1px solid rgba(157, 199, 255, 0.10);
    box-sizing: border-box;
    background: linear-gradient(0deg, rgba(37, 95, 232, 0.08) 0%, rgba(49, 105, 233, 0.20) 100%);
}

.events-list-section .events-list-item.static-item{
    border: none;
    background: linear-gradient(0deg, rgba(37, 95, 232, 0.08) 0%, rgba(37, 95, 232, 0.08) 100%);
}

.events-list-section .events-list-item video,
.events-list-section .events-list-item img{
    flex-shrink: 0;
    width: 380px;
    height: auto;
    aspect-ratio: 380 / 260;
    overflow: hidden;
    border-radius: 12px;
    object-fit: cover;
    object-position: center;
}

.events-list-item-info{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 24px;
    padding: 16px 20px;
}

.events-list-item-info svg{
    display: none;
}

.events-list-item-text{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 16px;
}

.events-list-item-info .main-h4{
    color: var(--n-white);
}

.events-list-item-info .small-text-medium{
    color: var(--d-light-grey);
}

.events-list-item-info .small-text-medium a,
.events-list-item-info .small-text-medium a:visited{
    text-decoration: underline;
    transition: 0.3s;
    color: var(--light-blue);
}

.events-list-item-info .small-text-bold{
    color: var(--light-blue);
}

.perfect-for .events-list-item-info .small-text-bold{
    color: var(--d-white);
}

.events-list-item-line{
    display: block;
    width: 100%;
    height: 1px;
    background: var(--d-accent-30);
}

.events-list-section .swiper-main-container{
    display: none;
}

.events-list-section .swiper__pagination-container{
    line-height: 8px;
    text-align: center;
}

.events-list-section .swiper-pagination-bullet{
    opacity: 1;
    background-color: var(--n-grey-60);
}

.events-list-section .swiper-pagination-bullet-active{
    opacity: 1;
    background-color: var(--bright-blue);
}

.events-list-section .swiper-pagination-bullet{
    opacity: 1;
    background: var(--n-grey-60);
}

.events-list-section .swiper-pagination-bullet-active{
    opacity: 1;
    background: #056CF2;
}

.events-list-section .events-list-cta{
    display: flex;
    grid-column: 1 / -1;
    flex-direction: column;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    padding-top: 80px;
    gap: 40px;
    align-items: center;
    position: relative;
}

.events-list-section .events-list-cta::before{
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 320px;
    height: 2px;
    background: linear-gradient(90deg, rgba(88, 155, 255, 0.00) 0%, #589BFF 50%, rgba(88, 155, 255, 0.00) 100%);

}

.events-list-section .events-list-cta .h3-small-semibold{
    color: var(--d-light-grey);
    text-align: center;
}

.events-list-section .events-list-cta .h3-small-semibold span{
    color: var(--d-white);
}

@media (hover:hover){
    .events-list-section .events-list-item:not(.static-item):hover{
        border-color: rgba(157, 199, 255, 0.20);
        background: linear-gradient(0deg, rgba(37, 95, 232, 0.16) 0%, rgba(49, 105, 233, 0.40) 100%);
    }

    .events-list-item-info .small-text-medium a:hover{
        color: var(--bright-blue);
    }
}

@media screen and (max-width: 1919px) {
    .events-list-section{
        padding: 100px 80px;
        row-gap: 60px;
    }

    .events-list-section .events-list-title-block{
        padding-inline-end: 40px;
        top: 100px;
    }

    .events-list-section .events-list-item,
    .events-list-section .events-list-item:visited{
        gap: 10px;
        align-items: start;
    }

    .events-list-section .events-list-item video,
    .events-list-section .events-list-item img{
        width: 320px;
        aspect-ratio: 320 / 219;
    }

    .events-list-item-info{
        gap: 20px;
    }

    .events-list-section .events-list-cta{
        max-width: 800px;
        padding-top: 60px;
    }
}

@media screen and (max-width: 1439px) {
    .events-list-section{
        padding: 80px 60px;
        row-gap: 48px;
    }

    .events-list-section .events-list-title-block{
        gap: 20px;
        padding-inline-end: 20px;
        top: 80px;
    }

    .events-list-section .events-list-item,
    .events-list-section .events-list-item:visited{
        gap: 24px;
        padding: 22px 12px 24px 24px;
        border-radius: 16px;
    }

    .events-list-section .events-list-item video,
    .events-list-section .events-list-item img{
        width: 200px;
        aspect-ratio: 200 / 133;
    }

    .events-list-item-info{
        padding: 0;
        gap: 12px;
    }

    .events-list-item-text{
        gap: 12px;
    }

    .events-list-item-line{
        display: none;
    }

    .events-list-section .events-list-cta{
        padding-top: 48px;
    }
}

@media screen and (max-width: 1279px) {
    .events-list-section{
        display: flex;
        flex-direction: column;
        column-gap: 48px;
        align-items: center;
    }

    .events-list-section .events-list-title-block{
        gap: 12px;
        grid-column: span 4;
        padding-inline-end: 0px;
        top: 0;
        align-items: center;
        position: static;
        align-self: center;
    }

    .events-list-section .events-list-title-block *{
        text-align: center;
    }

    .events-list-section .events-list-container{
        width: 100%;
    }
}

@media screen and (max-width: 1079px) {
    .events-list-section{
        padding: 80px 40px;
    }

    .events-list-section .events-list-items{
        gap: 0;
        flex-direction: row;
    }

    .events-list-section .events-list-item,
    .events-list-section .events-list-item:visited{
        gap: 20px;
        padding: 10px 10px 16px;
        flex-direction: column;
        align-items: stretch;
    }

    .events-list-section .events-list-item video,
    .events-list-section .events-list-item img{
        width: 100%;
        aspect-ratio: 316 / 211;
    }

    .events-list-item-info{
        padding: 10px 8px;
    }

    .events-list-item-text{
        gap: 16px;
    }

    .events-list-item-info svg{
        display: block;
        margin-top: 12px;
    }

    .events-list-item-text>.small-text-medium{
        flex: 1;
    }

    .events-list-section .swiper-main-container{
        display: block;
    }

    .events-list-section .events-list-container{
        width: 100%;
        overflow: hidden;
    }

    .events-list-section .events-list-cta{
        max-width: unset;
    }
}

@media screen and (max-width: 577px) {
    .events-list-section{
        padding: 60px 16px;
        column-gap: 40px;
        background-image: linear-gradient(180deg, #010C25 56.28%, #032576 100%);
    }

    .events-list-section .events-list-title-block *{
        text-align: start;
    }

    .events-list-section .events-list-item video,
.events-list-section .events-list-item img{
        aspect-ratio: 323 / 237;
    }

    .events-list-item-info svg{
        margin-top: 4px;
    }
}

.swiper-notification{
    display: none;
}